
final: prev: {
  yabridge = prev.yabridge.overrideAttrs (old: {
    version = "HEAD";
    src = prev.fetchFromGitHub {
      owner = "robbert-vdh";
      repo = "yabridge";
      rev = "HEAD";
      hash = "sha256-pxQ+B4WF9iWNeLholSSqSMLJ3lz/Ub/PfgkAuacUAqc=";
    };

    patches = [
      # Hard code bitbridge & runtime dependencies
      (prev.replaceVars ../patches/hardcode-dependencies.patch {
        libdbus = prev.pkgs.dbus.lib;
        libxcb32 = prev.pkgsi686Linux.xorg.libxcb;
        wine = prev.wine;
      })

      # Patch the chainloader to search for libyabridge through NIX_PROFILES
      ../patches/libyabridge-from-nix-profiles.patch
    ];

  });

  yabridgectl = prev.yabridgectl.overrideAttrs (old: {
    cargoHash = "";
  });
}
